WordPress.org

Support

Support » Themes and Templates » [Resolved] Is this theme compatible with the new wordpress 3.6 upgrade?

[Resolved] Is this theme compatible with the new wordpress 3.6 upgrade?

  • Chris Thomas

    @chrisstreetcreditscouk

    I updated the new wordpress 3.6 and couldn’t get into my site because of a fatal error: Fatal error: Call to undefined function get_post_format_slugs() in /websites/123reg/LinuxPackage23/ox/an/ad/oxanadodon.com/public_html/website/wp-includes/theme.php on line 1262

    Is this theme compatible with the latest WordPress 3.6 update?

    If so, was it a problem with my plugins?

Viewing 15 replies - 1 through 15 (of 23 total)
  • That’s a core function and it was moved into a new file, wp-includes/post-formats.php, for 3.6. Is it possible that you didn’t have that file? I don’t think this could be an issue with Pinboard.

    Chris Thomas

    @chrisstreetcreditscouk

    How do I go about fixing this problem so that I can update to the new wordpress 3.6?

    esmi

    @esmi

    Forum Moderator

    Try re-uploading all files & folders – except the wp-content folder – from a fresh download of WordPress. Make sure that you delete the old copies of files & folder before uploading the new ones.

    Chris Thomas

    @chrisstreetcreditscouk

    Thank you for your response.

    How do I do this – manually via ftp?

    What about my database, will this affect this?

    esmi

    @esmi

    Forum Moderator

    How do I do this – manually via ftp?

    Yes

    What about my database, will this affect this?

    Nope.

    Chris Thomas

    @chrisstreetcreditscouk

    I am sorry to sound so stupid but I haven’t ever manually uploaded WordPress before. Can I clarify exactly what steps I need to take to do this:

    Do I literally delete everything in the folder except my wp-content folder (which I will back up)?

    Then I download the latest version of WordPress 3.6, unzip it and upload it via ftp.

    Then I move my old wp-content folder back and log in?

    esmi

    @esmi

    Forum Moderator

    Do I literally delete everything in the folder except my wp-content folder

    No. You delete everything except the wp-content folder and your wp-config.php & root .htaccess files as these are all site specific.

    Then I download the latest version of WordPress 3.6, unzip it and upload it via ftp.

    Yes – except the wp-content folder.

    Chris Thomas

    @chrisstreetcreditscouk

    Ok thank you… do I have to delete everything as you said or can I just copy over the files (except the wp-content folder) and overwrite what is currently there?

    esmi

    @esmi

    Forum Moderator

    No – you need to delete and then upload.

    Chris Thomas

    @chrisstreetcreditscouk

    Why is this, other people have said just to overwrite?

    esmi

    @esmi

    Forum Moderator

    We know from experience that this is not always successful. Do you want to locate and, hopefully, fix the problem on your site? If “yes”, then please help us to help you and carry out the changes that we suggest.

    Chris Thomas

    @chrisstreetcreditscouk

    ok sorry for sounding difficult, its just that I have the following files which are not included in the new wordpress update (zip):

    sql-backup.sql
    wp-atom.php
    wp-app.php
    wp-feed.php
    wp-load.php
    wp-pass.php
    wp-rdf.php
    wp-register.php
    wp-rss.php
    wp-rss2.php
    a folder called “blogs”
    a folder called “tmp”
    wp-commentsrss2.php

    as well as a few others… shall I delete these as well?

    I just don’t want to delete things that I shouldn’t and therefore am asking before I carry this out.

    esmi

    @esmi

    Forum Moderator

    Is this a multisite install?

    Chris Thomas

    @chrisstreetcreditscouk

    Yes I have other website within the one hosting package. This is just one website out of 6 I have in total.

    esmi

    @esmi

    Forum Moderator

    No – not multiple installs. A multisite install.

Viewing 15 replies - 1 through 15 (of 23 total)
  • The topic ‘[Resolved] Is this theme compatible with the new wordpress 3.6 upgrade?’ is closed to new replies.